> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rag.now/llms.txt
> Use this file to discover all available pages before exploring further.

# Query knowledgebase items

> Query knowledgebase items for the current org.



## OpenAPI

````yaml post /api/connect/knowledgebase-items/query
openapi: 3.0.3
info:
  title: Graphite API Documentation
  description: API documentation for Graphite
  version: 1.0.0
servers: []
security: []
paths:
  /api/connect/knowledgebase-items/query:
    post:
      summary: Query knowledgebase items
      description: Query knowledgebase items for the current org.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetKnowledgebaseItemsInputSchema'
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetKnowledgebaseItemsResponse'
components:
  schemas:
    GetKnowledgebaseItemsInputSchema:
      type: object
      properties:
        limit:
          type: number
          minimum: 1
          maximum: 100
        page:
          type: number
          minimum: 1
        sourceType:
          type: string
          enum:
            - integration
            - web_crawl
        visibility:
          type: string
          enum:
            - public
            - internal
        search:
          type: string
      required:
        - limit
        - page
    GetKnowledgebaseItemsResponse:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/TransportedKnowledgebaseItem'
        pagination:
          type: object
          properties:
            current_page:
              type: number
            total_pages:
              type: number
            total_items:
              type: number
            items_per_page:
              type: number
            has_next_page:
              type: boolean
            has_previous_page:
              type: boolean
          required:
            - current_page
            - total_pages
            - total_items
            - items_per_page
            - has_next_page
            - has_previous_page
      required:
        - items
        - pagination
    TransportedKnowledgebaseItem:
      type: object
      properties:
        id:
          type: string
        title:
          type: string
        visibility:
          type: string
          enum:
            - public
            - internal
        source_type:
          type: string
          enum:
            - integration
            - web_crawl
        source_table_name:
          type: string
          nullable: true
        source_url:
          type: string
          nullable: true
      required:
        - id
        - title
        - visibility
        - source_type
        - source_table_name
        - source_url

````